function x = displacement(tracks)

%size(tracks);
offset = 0;

% 3D tracks
for s = 1:3:size(tracks,2) 
    for r = 1:size(tracks,1)-1
        if(tracks(r+1, s)~=0) % Make sure the last non-empty element in tracks is not used (would result in maximum in x)
            x(r, s-offset) = eudistance(tracks(r,s:s+2), tracks(r+1, s:s+2)); 
        end;
    end;
    offset = offset+2;
end