function filtered = gaussianFilter(x)

filtered = x;
l = length(x);

% Fill table with coefficients
coeff = gaussian([1, 0, 2, 0], -4:4);

% Add Padding
if size(x,1) > size (x,2)
    x = [0; 0; 0; 0; x; 0; 0; 0; 0];
else
    x = [0, 0, 0, 0, x, 0, 0, 0, 0];
end

% Now calc gaussian filter
for i = 1:l
    filtered(i) = (x(i).*coeff(1)+x(i+1).*coeff(2)+x(i+2).*coeff(3)+x(i+3).*coeff(4)+x(i+4).*coeff(5)+x(i+5).*coeff(6)+x(i+6).*coeff(7)+x(i+7).*coeff(8)+x(i+8).*coeff(9))./9;
end



