function outputVal = msd(trajectory)


uTrackSize = size(trajectory,1);
outputVal = zeros(uTrackSize,1);

for i = 1:uTrackSize
	
		dMeanValue = 0;
		uTotalValueIndex = 0;
		for j = 1:uTrackSize-1
		
			if(j + i < uTrackSize)
			
				%if(this->vTrack_Properties.at(j).bIsShown == true && this->vTrack_Properties.at(j + i).bIsShown == true)
				
					dMeanValue = dMeanValue + computeQuadradicDistance(j, j + i, trajectory);
					uTotalValueIndex = uTotalValueIndex + 1;
                %end
            end
        end
        if(uTotalValueIndex > 0)
            dMeanValue = dMeanValue / uTotalValueIndex;
            outputVal(i) = dMeanValue;
        end
end



function QD = computeQuadradicDistance(t, tDelta, trajectory)
QD = sum( (trajectory(t,:)-trajectory(tDelta,:)).*(trajectory(t,:)-trajectory(tDelta,:))  );



