function r = pearsonsr(x,y)
% http://www.vias.org/tmdatanaleng/cc_corr_coeff.html

n = size(x,1);

%disp(n);

denominator = sqrt(sum(x.^2)-(sum(x).^2)./n).*sqrt(sum(y.^2)-(sum(y).^2)./n);

numerator = sum(x.*y) - (sum(x).*sum(y))./n;

r = numerator./denominator;